

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was LunchboxConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set(Lunchbox_PREFIX_DIR ${PACKAGE_PREFIX_DIR})
if(CMAKE_VERSION VERSION_LESS 2.8.3) # WAR bug
  get_filename_component(CMAKE_CURRENT_LIST_DIR ${CMAKE_CURRENT_LIST_FILE} PATH)
endif()
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
set(_output_type)
set(_out)
set(_req)
set(_quiet)
set(_fail)
set(LUNCHBOX_COMPONENTS)
if(NOT LUNCHBOX_FOUND)
  set(LUNCHBOX_STATUS ON)
else()
  set(LUNCHBOX_STATUS)
endif()

if(Lunchbox_FIND_REQUIRED)
  set(_output_type FATAL_ERROR)
  set(_out 1)
  set(_req REQUIRED)
else()
  set(_output_type STATUS)
  if(NOT Lunchbox_FIND_QUIETLY)
    set(_out 1)
  endif()
endif()
if(Lunchbox_FIND_QUIETLY)
  set(_quiet QUIET)
endif()

set(_Boost_libraries_backup ${Boost_LIBRARIES})
set(_Boost_found_backup ${Boost_FOUND})
set(Boost_LIBRARIES)
set(Boost_FOUND)
find_package(Boost 1.58 QUIET ${_req} COMPONENTS regex serialization filesystem system thread)
if(Boost_FOUND)
  if("${Boost_VERSION}" MATCHES "^([0-9]+\\.[0-9]+)")
    if(NOT CMAKE_MATCH_1 VERSION_EQUAL 1.58)
      message(FATAL_ERROR "Boost ${CMAKE_MATCH_1} does not match expected version 1.58")
    endif()
  endif()
  list(APPEND LUNCHBOX_LIBRARIES ${Boost_LIBRARIES})
  list(APPEND LUNCHBOX_INCLUDE_DIRS ${Boost_INCLUDE_DIRS})
else()
  set(_fail "Boost not found")
endif()
set(Boost_LIBRARIES ${_Boost_libraries_backup})
set(Boost_FOUND ${_Boost_found_backup})

set(LUNCHBOX_FIND_FILES )
if(NOT _fail)
  list(APPEND LUNCHBOX_INCLUDE_DIRS ${Lunchbox_PREFIX_DIR}/include)
  set(LUNCHBOX_DEB_DEPENDENCIES "lunchbox3 (>= 1.10)")
  set(LUNCHBOX_DEB_LIB_DEPENDENCY "lunchbox3-lib (>= 1.10)")
  set(LUNCHBOX_DEB_DEV_DEPENDENCY "lunchbox3-dev (>= 1.10)")

  if(Lunchbox_FIND_COMPONENTS)
    find_library(${UPPER_PROJECT_NAME}_LIBRARY Lunchbox NO_DEFAULT_PATH
                 PATHS ${Lunchbox_PREFIX_DIR} PATH_SUFFIXES lib )
    list(APPEND LUNCHBOX_LIBRARIES ${LUNCHBOX_LIBRARY})
    foreach(_component ${Lunchbox_FIND_COMPONENTS})
      find_library(${_component}_libraryname Lunchbox_${_component} NO_DEFAULT_PATH
        PATHS ${Lunchbox_PREFIX_DIR} PATH_SUFFIXES lib )

      if(${_component}_libraryname MATCHES "${_component}_libraryname-NOTFOUND")
        if(Lunchbox_FIND_REQUIRED_${_component})
          set(_fail "Component library ${_component} not found")
          message(FATAL_ERROR "   Lunchbox_${_component} "
            "not found in ${Lunchbox_PREFIX_DIR}/lib")
        elseif(NOT _quiet)
          message(STATUS "   Lunchbox_${_component} "
            "not found in ${Lunchbox_PREFIX_DIR}/lib")
        endif()
      else()
        string(TOUPPER ${_component} _COMPONENT)
        set(LUNCHBOX_${_COMPONENT}_FOUND TRUE)
        set(LUNCHBOX_${_COMPONENT}_LIBRARY ${${_component}_libraryname})
        list(APPEND LUNCHBOX_LIBRARIES ${${_component}_libraryname})
        list(APPEND LUNCHBOX_COMPONENTS ${_component})
      endif()
    endforeach()
  elseif(LUNCHBOX_FIND_FILES)
    find_file(LUNCHBOX_FILE NAMES  NO_DEFAULT_PATH
              PATHS ${Lunchbox_PREFIX_DIR} PATH_SUFFIXES include)
    if(LUNCHBOX_FILE MATCHES "LUNCHBOX_FILE-NOTFOUND")
      set(_fail " not found")
      if(_out)
        message(${_output_type} "   Missing the Lunchbox "
          "file in ${Lunchbox_PREFIX_DIR}/include.")
      endif()
    endif()
  else()
    set(LUNCHBOX_LIBRARY_NAMES "Lunchbox")
    foreach(_libraryname ${LUNCHBOX_LIBRARY_NAMES})
      string(TOUPPER ${_libraryname} _LIBRARYNAME)
      find_library(${_LIBRARYNAME}_LIBRARY ${_libraryname} NO_DEFAULT_PATH
                   PATHS ${Lunchbox_PREFIX_DIR} PATH_SUFFIXES lib )
      if(${_LIBRARYNAME}_LIBRARY MATCHES "${_LIBRARYNAME}_LIBRARY-NOTFOUND")
        set(_fail "${_libraryname} not found")
        if(_out)
          message(${_output_type}
            "   Missing ${_libraryname} in ${Lunchbox_PREFIX_DIR}/lib")
        endif()
      else()
        list(APPEND LUNCHBOX_LIBRARIES ${${_LIBRARYNAME}_LIBRARY})
        string(REPLACE "Lunchbox_" "" _component ${_libraryname})
        string(TOUPPER ${_component} _COMPONENT)
        set(LUNCHBOX_${_COMPONENT}_FOUND TRUE)
        list(APPEND LUNCHBOX_COMPONENTS ${_component})
      endif()
    endforeach()
  endif()

  if(EXISTS ${Lunchbox_PREFIX_DIR}/share/Lunchbox/CMake/options.cmake)
    include(${Lunchbox_PREFIX_DIR}/share/Lunchbox/CMake/options.cmake)
  endif()
endif()

if(_fail)
  set(LUNCHBOX_FOUND)
  set(Lunchbox_FOUND)
  set(LUNCHBOX_VERSION)
  set(LUNCHBOX_VERSION_ABI)
  set(LUNCHBOX_INCLUDE_DIRS)
  set(LUNCHBOX_LIBRARIES)
  set(LUNCHBOX_DEB_DEPENDENCIES)
  set(LUNCHBOX_LIBRARY)
  set(LUNCHBOX_COMPONENTS)
  if(_out)
    message(STATUS "Could not find Lunchbox: ${_fail}")
  endif()
else()
  set(LUNCHBOX_FOUND TRUE)
  set(Lunchbox_FOUND TRUE)
  set(LUNCHBOX_VERSION 1.10.0)
  set(LUNCHBOX_VERSION_ABI 3)
  set(LUNCHBOX_MODULE_FILENAME )
  list(SORT LUNCHBOX_INCLUDE_DIRS)
  list(REMOVE_DUPLICATES LUNCHBOX_INCLUDE_DIRS)
  if(LUNCHBOX_LIBRARIES)
    list(REMOVE_DUPLICATES LUNCHBOX_LIBRARIES)
  endif()
  if(_out AND LUNCHBOX_STATUS)
    message(STATUS "Found Lunchbox 1.10.0-3 [${LUNCHBOX_COMPONENTS}] in "
      "${LUNCHBOX_INCLUDE_DIRS}:${LUNCHBOX_LIBRARY}")
  endif()
endif()
